List cached media in a vault list
curl --request GET \
--url https://api.ofauth.com/v2/vault-plus/lists/:listId/media \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <x-connection-id>'import requests
url = "https://api.ofauth.com/v2/vault-plus/lists/:listId/media"
headers = {
"x-connection-id": "<x-connection-id>",
"apiKey": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-connection-id': '<x-connection-id>', apiKey: '<api-key>'}
};
fetch('https://api.ofauth.com/v2/vault-plus/lists/:listId/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"mediaId": "4492994399",
"ofMediaId": "4492994399",
"status": "stored",
"type": "image",
"duration": null,
"firstAddedAt": "2026-06-06T20:00:00.000Z",
"lastAddedAt": "2026-06-06T20:00:00.000Z",
"lastSeenAt": "2026-06-06T21:00:00.000Z",
"lastSyncedAt": "2026-06-06T21:00:00.000Z",
"media": {
"full": {
"status": "stored",
"quality": "full",
"sizeBytes": 1024000,
"contentType": "image/jpeg",
"accessCount": 12,
"createdAt": 1715800000000,
"expiresAt": 1715886400000,
"storedAt": 1715800100000,
"lastAccessedAt": 1715800500000,
"url": "https://media.ofauth.com/v2/example-signed-media-url"
}
}
}
]
}{
"error": "x-connection-id header is required"
}{
"error": "Unauthorized"
}Lists
List cached media in a vault list
Returns cached list membership with list timestamps and cached media variants when present.
GET
/
v2
/
vault-plus
/
lists
/
:listId
/
media
List cached media in a vault list
Headers
Connection ID whose Vault+ list cache should be read or modified.
Minimum string length:
1Example:
"conn_v5bsqkzsjfk8cgr7hqbbw09t"
Path Parameters
OnlyFans vault list ID.
Example:
"28489180"
Response
Cached media membership for the list, including list timestamps and cached variants when available. This response is read from Vault+ list cache records and does not fetch live OnlyFans state.
Cached Vault+ list media response.
Cached media membership for the list.
Show child attributes
Show child attributes
Was this page helpful?
⌘I